Get organization details
curl --request GET \
--url https://api.pinecone.io/admin/organizations/{organization_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Pinecone-Api-Version: <x-pinecone-api-version>'import requests
url = "https://api.pinecone.io/admin/organizations/{organization_id}"
headers = {
"X-Pinecone-Api-Version": "<x-pinecone-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pinecone-Api-Version': '<x-pinecone-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.pinecone.io/admin/organizations/{organization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"plan": "<string>",
"payment_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"support_tier": "<string>"
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Invalid API key."
},
"status": 401
}{
"error": {
"code": "QUOTA_EXCEEDED",
"message": "The index exceeds the project quota of 5 pods by 2 pods. Upgrade your account or change the project settings to increase the quota."
},
"status": 429
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}{
"error": {
"code": "QUOTA_EXCEEDED",
"message": "The index exceeds the project quota of 5 pods by 2 pods. Upgrade your account or change the project settings to increase the quota."
},
"status": 429
}Organizations
Get organization details
Get an organization’s details.
GET
/
admin
/
organizations
/
{organization_id}
Get organization details
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Headers
Required date-based version header
Path Parameters
Organization ID
Response
The details of an organization.
The details of an organization.
The unique ID of the organization.
The name of the organization.
Required string length:
1 - 512The current plan the organization is on.
The current payment status of the organization.
The date and time when the organization was created.
The support tier of the organization.
Was this page helpful?